Bug 119276 - Sidebar Deck icon is not set through extension
Summary: Sidebar Deck icon is not set through extension
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Extensions (show other bugs)
Version:
(earliest affected)
6.1.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0 target:6.1.1
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-14 15:42 UTC by Laurent Godard
Modified: 2018-08-16 11:27 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
The extension to reproduce (2.89 KB, application/vnd.openofficeorg.extension)
2018-08-14 15:43 UTC, Laurent Godard
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent Godard 2018-08-14 15:42:42 UTC
Description:
Creating a new deck from a sidebar.xcu file in an extension, the png Icon is not set despite the button for that deck is active

the url in the following parameter seems not to be understood

<prop oor:name="IconURL" oor:type="xs:string">	               	<value>vnd.sun.star.extension://org.libreoffice.example.toolpanel/image/poc.png</value>
</prop>

bibisect & exemple in a following comment

Steps to Reproduce:
1. Install the given extension
2. Open a calc sheet (or writer doc)

Actual Results:
At right of the screen, the sidebar has a new invisible button (inactive but clickable) but without any icon

Expected Results:
My uggly icon targetted in the extension should be displayed

Worked in Libreoffice 6.0.x


Reproducible: Always


User Profile Reset: No



Additional Info:
* bibisect result
-----------------

840bfde920392fd9359eb7da71ba3527f648e32d is the first bad commit
commit 840bfde920392fd9359eb7da71ba3527f648e32d
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Fri Apr 13 10:22:57 2018 +0200

    source sha:f8072cc8e43b42e2bfa227bb33aa06be69233e46
    
    source sha:f8072cc8e43b42e2bfa227bb33aa06be69233e46

:040000 040000 0730e808163b3fc2a07a64d22a8b6243fe25cbae 303cf2f51937020ff2a0dc711990549ecdc1b865 M	instdir


$ git bisect log
# bad: [3a5db37fadb4477261591bcae629661d527a3069] source sha:8ed224599ae7985b577f0bf737b2b9b2e8dd47b7
# good: [2c1cccc19f9e70d2ecbc9ba7815abd674ab6d858] source sha:6eeac3539ea4cac32d126c5e24141f262eb5a4d9
git bisect start 'origin/master' 'oldest'
# good: [911e076c8252169ce657c96c2329ec9aa6348550] source sha:0ea41fea75cd1ac1d81fa57c4411e75a6b4001f0
git bisect good 911e076c8252169ce657c96c2329ec9aa6348550
# bad: [adc55df032bef2a07dbcfb98ecb4accb42768c5e] source sha:1055a94124a82b236230d6f97c1c9f0db07deba3
git bisect bad adc55df032bef2a07dbcfb98ecb4accb42768c5e
# good: [d83cfacef5cbb76b5f54d24b9090dbd6da814e20] source sha:a541c989f07fd7cf908915a9f005d32aca6cd953
git bisect good d83cfacef5cbb76b5f54d24b9090dbd6da814e20
# good: [76793e86c178ff4ce245d679aa2cafd267dabac9] source sha:177dbe968b5af1c548be9f52178daa528edc2aab
git bisect good 76793e86c178ff4ce245d679aa2cafd267dabac9
# bad: [80608bdb429942c79d6d1e0aa03fbdb94d0cd942] source sha:f762607ae0f1ea02323401de387318b7b0f09a36
git bisect bad 80608bdb429942c79d6d1e0aa03fbdb94d0cd942
# good: [bccf39872290c388a0576b818a833e0838d67672] source sha:54aa2d16ad2afc883eb5c22a513337abe3298938
git bisect good bccf39872290c388a0576b818a833e0838d67672
# good: [2cad3772f4c811b934194b9d39916f47ba9919c7] source sha:46cefbcae75947bf78cd3c3f1ed7e6e975ad9f93
git bisect good 2cad3772f4c811b934194b9d39916f47ba9919c7
# good: [b4d688a319bda9b4518b474c2031eb4f9bb1d3e5] source sha:d0d4a3647692883b17a1acd96a01a1857c5872b1
git bisect good b4d688a319bda9b4518b474c2031eb4f9bb1d3e5
# bad: [02e6d32f4956c7ef354a5fe0708b59e0ea281910] source sha:f4b5a16688f63f5ab7f8b058d2cb3416ebfe84c4
git bisect bad 02e6d32f4956c7ef354a5fe0708b59e0ea281910
# bad: [b543e900913630d8f13a7a78058e8a8bb3f11aed] source sha:4bf1bf9dd4598f34e43c7c8a69f3665175c3cae5
git bisect bad b543e900913630d8f13a7a78058e8a8bb3f11aed
# good: [6df33258fa503e4201da27fec2fbcda815a09b82] source sha:2b2fe50f33f7d677098f3ebafa8357aea848c0ea
git bisect good 6df33258fa503e4201da27fec2fbcda815a09b82
# bad: [9df8935418f465d67c06e52c030259308b6a25f0] source sha:f0b3e2241e05472ad84bb9a2a7f9b7142ec54863
git bisect bad 9df8935418f465d67c06e52c030259308b6a25f0
# bad: [840bfde920392fd9359eb7da71ba3527f648e32d] source sha:f8072cc8e43b42e2bfa227bb33aa06be69233e46
git bisect bad 840bfde920392fd9359eb7da71ba3527f648e32d
# first bad commit: [840bfde920392fd9359eb7da71ba3527f648e32d] source sha:f8072cc8e43b42e2bfa227bb33aa06be69233e46

* the commit :
-------------

https://gerrit.libreoffice.org/#/c/52806/

Don't abuse loading of a Graphic to actually load an Image

Change-Id: I816c46542088f36ef69b127cc13080e3bc8cdfc2
Reviewed-on: https://gerrit.libreoffice.org/52806
Tested-by: Jenkins <ci@libreoffice.org>
Reviewed-by: Tomaž Vajngerl <quikee@gmail.com>
Author 	
Tomaž Vajngerl <tomaz.vajngerl@collabora.co.uk>
	Apr 12, 2018 7:46 AM
Committer 	
Tomaž Vajngerl <quikee@gmail.com>
	Apr 13, 2018 10:03 AM
Comment 1 Laurent Godard 2018-08-14 15:43:55 UTC
Created attachment 144176 [details]
The extension to reproduce
Comment 2 Tomaz Vajngerl 2018-08-15 12:30:03 UTC
https://gerrit.libreoffice.org/59104
Comment 3 Commit Notification 2018-08-15 18:59:22 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=43b7aa5133ce3bfb44c5203aea37fa4474bc3a61

tdf#119276 Fix loading of images with internal LO URLs

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Laurent Godard 2018-08-16 07:38:01 UTC
Thanks a lot Tomaž !!

would it be possible to make the patch available for 6.1.1 ?
Comment 5 Tomaz Vajngerl 2018-08-16 08:05:11 UTC
I cherry-picked to 6-1 branch [1] in gerrit so it's now waiting for review.

[1] https://gerrit.libreoffice.org/#/c/59144/
Comment 6 Commit Notification 2018-08-16 10:59:39 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c876f11689859243ba0945ba5c610ffd3ce3c6d3&h=libreoffice-6-1

tdf#119276 Fix loading of images with internal LO URLs

It will be available in 6.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Laurent Godard 2018-08-16 11:27:32 UTC
@Tomaz You rock !